// SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
// SPDX-License-Identifier: GPL-3.0-or-later
import org.deepin.dcc 1.0

import QtQuick 2.11
import QtQuick.Controls 2.4
import QtQuick.Layouts 1.15
import org.deepin.dtk 1.0

// 该文件中可以使用dccData,根对象为DccObject
DccObject {
    DccObject {
            name: "titleName"
            parentName: "BackupAndRestore"
            displayName: qsTr("Backup and Restore")
            description: qsTr("Backup or restore system environment and data, and provide reset to factory settings")
            weight: 10
            pageType: DccObject.Item
            page: ColumnLayout {
                spacing: 0
                Label {
                    leftPadding: 5
                    topPadding: 20
                    font: DTK.fontManager.t4
                    text: dccObj.displayName
                    //font {
                    //    pointSize: 17
                    //    bold: true
                    //}
                }
                Label {
                    leftPadding: 5
                    bottomPadding: 5
                    font: DTK.fontManager.t6
                    text: dccObj.description
                    opacity: 0.7
                }
            }
        }

    DccObject {
        name: "Backup"
        parentName: "BackupAndRestore"
        displayName: qsTr("Backup")
        description: qsTr("System Backup、Data Backup、System Clone")
        icon: "general"
        weight: 30
        //pageType: DccObject.Editor
        pageType: DccObject.MenuEditor
        backgroundType: DccObject.ClickStyle // ClickStyl表示有点击效果，点击时会发出active信号
        onActive: {
            dccData.showBackupPage()
        }
    }
    DccObject {
        name: "Restore"
        parentName: "BackupAndRestore"
        displayName: qsTr("Restore")
        description: qsTr("System Restore、Data Restore")
        icon: "plugged_in"
        weight: 40
        pageType: DccObject.MenuEditor
        backgroundType: DccObject.ClickStyle // ClickStyl表示有点击效果，点击时会发出active信号
        onActive: {
            dccData.showRestorePage()
        }
    }
    DccObject {
        name: "factoryRestore"
        parentName: "BackupAndRestore"
        displayName: qsTr("Reset to factory settings")
        description: qsTr("Restore your system to the initial installation state")
        icon: "on_battery"
        weight: 50
        pageType: DccObject.MenuEditor
        backgroundType: DccObject.ClickStyle // ClickStyl表示有点击效果，点击时会发出active信号
        onActive: {
            dccData.showFactoryRestorePage()
        }
    }
}
